Subject: Implement an Ext Direct router for FLOW3
Description

There should be a special Ext Direct router for the FLOW3 MVC.

The router should dispatch Ext Direct transactions to multiple controller actions. This should be transparent for the controller action.

Associated revisions
Revision cf5cc871 - 2010-03-14 15:45 - Christopher Hlubek

[+FEATURE] ExtJS (ExtDirect): A first, unpolished implementation of Ext Direct for FLOW3, relates to #6823.

History
#1 - 2010-03-14 15:52 - Christopher Hlubek
- Status changed from Accepted to Needs Feedback
- Assigned To changed from Christopher Hlubek to Karsten Dambekalns

See r3937 for a first implementation of an Ext Direct router for FLOW3.

No tests yet, since this serves as a discussion base that will change most certainly.

To use the Ext Direct router the Ext JS routes have to be added and the controller view has to be tweaked for now. Additionally a special view
assigment must be used to return a proper Ext Direct transaction result.

See this controller as an example:

class MyController extends \F3\FLOW3\MVC\Controller\ActionController {
    protected function resolveView() {
        if ($this->getControllerContext()->getRequest()->getFormat() === 'extdirect') {
            $view = $this->objectManager->get('F3\ExtJS\ExtDirect\View');
            $view->setControllerContext($this->getControllerContext());
            return $view;
        } else {
            return parent::resolveView();
        }
    }

    public function indexAction() {
        $this->view->assign('result', $result);
    }
}
We need to find some answers yet for the view part and  for the transparent but configurable JSON serialization of persistence objects.

#2 - 2010-07-15 13:26 - Karsten Dambekalns
- Assigned To changed from Karsten Dambekalns to Christopher Hlubek

This can be considered resolved, right?

#3 - 2010-08-12 16:45 - Robert Lemke
- Status changed from Needs Feedback to Resolved
- % Done changed from 0 to 100

Resolved by using a specialized Request Handler and ExtDirect View.
